rpms/dhcpv6/devel dhcpv6-0.10-IA_NA-ignore.patch, NONE, 1.1 dhcpv6-0.10-elapsed-time.patch, NONE, 1.1 dhcpv6-0.10-lsb.patch, NONE, 1.1 dhcpv6-0.10-reassign-global.patch, NONE, 1.1 dhcpv6-0.10-remove-leases.patch, NONE, 1.1 dhcpv6-0.10-retransmit-confirm.patch, NONE, 1.1 dhcpv6.spec, 1.63, 1.64

David Cantrell (dcantrel) fedora-extras-commits at redhat.com
Mon Sep 10 18:04:03 UTC 2007


Author: dcantrel

Update of /cvs/pkgs/rpms/dhcpv6/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv25969

Modified Files:
	dhcpv6.spec 
Added Files:
	dhcpv6-0.10-IA_NA-ignore.patch dhcpv6-0.10-elapsed-time.patch 
	dhcpv6-0.10-lsb.patch dhcpv6-0.10-reassign-global.patch 
	dhcpv6-0.10-remove-leases.patch 
	dhcpv6-0.10-retransmit-confirm.patch 
Log Message:
* Mon Sep 10 2007 David Cantrell <dcantrell at redhat.com> - 0.10-49
- Make dhcp6r and dhcp6s init scripts conform to Fedora guidelines (#246909)
- Let dhcp6c ignore reply msgs that contain IA_NA with T1 > T2 (#254194)
- In dhcp6c, do not remove leases no on the updated list (#265761)
- Retransmit confirm message in expected duration in dhcp6c (#251192)
- Store correct value to elapsed time option in solicit msg (#249451)
- Reassign IPv6 global address after confirm/reply msg in dhcp6c (#249466)


dhcpv6-0.10-IA_NA-ignore.patch:

--- NEW FILE dhcpv6-0.10-IA_NA-ignore.patch ---
diff -up dhcp-0.10/client6_addr.c.ia_na_ignore dhcp-0.10/client6_addr.c
--- dhcp-0.10/client6_addr.c.ia_na_ignore	2007-09-10 13:40:07.000000000 -0400
+++ dhcp-0.10/client6_addr.c	2007-09-10 13:41:25.000000000 -0400
@@ -97,8 +97,7 @@ dhcp6_add_iaidaddr(struct dhcp6_optinfo 
 	struct dhcp6_lease *cl_lease;
 	double d;
 	/* ignore IA with T1 > T2 */
-	if (client6_iaidaddr.client6_info.iaidinfo.renewtime >
-	    client6_iaidaddr.client6_info.iaidinfo.rebindtime) {
+	if (optinfo->iaidinfo.renewtime > optinfo->iaidinfo.rebindtime) {
 		dprintf(LOG_INFO, " T1 time is greater than T2 time");
 		return (0);
 	}

dhcpv6-0.10-elapsed-time.patch:

--- NEW FILE dhcpv6-0.10-elapsed-time.patch ---
diff -up dhcp-0.10/dhcp6c.c.time dhcp-0.10/dhcp6c.c
--- dhcp-0.10/dhcp6c.c.time	2007-09-10 13:51:30.000000000 -0400
+++ dhcp-0.10/dhcp6c.c	2007-09-10 13:53:14.000000000 -0400
@@ -1040,12 +1040,10 @@ client6_send(ev)
 		unsigned int etime;
 		gettimeofday(&now, NULL);
 		timeval_sub(&now, &(ev->start_time), &duration);
-		optinfo.elapsed_time = 
 		etime = (duration.tv_sec) * 100 + (duration.tv_usec) / 10000;
 		if (etime > DHCP6_ELAPSEDTIME_MAX)
-			optinfo.elapsed_time = DHCP6_ELAPSEDTIME_MAX;
-		else
-			optinfo.elapsed_time = etime;
+			etime = DHCP6_ELAPSEDTIME_MAX;
+		optinfo.elapsed_time = htons((uint16_t)etime);
 	}
 	dh6->dh6_xid &= ~ntohl(DH6_XIDMASK);
 	dh6->dh6_xid |= htonl(ev->xid);

dhcpv6-0.10-lsb.patch:

--- NEW FILE dhcpv6-0.10-lsb.patch ---
diff -up dhcp-0.10/dhcp6r.sh.lsb dhcp-0.10/dhcp6r.sh
--- dhcp-0.10/dhcp6r.sh.lsb	2007-09-10 12:52:07.000000000 -0400
+++ dhcp-0.10/dhcp6r.sh	2007-09-10 13:04:13.000000000 -0400
@@ -1,14 +1,29 @@
-#!/bin/bash
+#!/bin/sh
 #
-# chkconfig: - 66 36
-# description: dhcp6r supports the DHCPv6 relay agent protocol.
+### BEGIN INIT INFO
+# Provides: dhcp6r
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Should-Start: $network
+# Required-Start:
+# Required-Stop:
+# Short-Description: Start and stop the DHCPv6 relay agent
+# Description: dhcp6r acts as a DHCPv6 relay agent forwarding DHCPv6 messages
+#              from clients to servers and vice versa.
+### END INIT INFO
+#
+# The fields below are left around for legacy tools (will remove later).
+#
+# chkconfig: - 2345 66 36
+# description: dhcp6r acts as a DHCPv6 relay agent forwarding DHCPv6 messages \
+#              from clients to servers and vice versa.
 # processname: dhcp6r
 # config: /etc/sysconfig/dhcp6r
 
-# Source function library
 . /etc/init.d/functions
 
 RETVAL=0
+
 prog=dhcp6r
 dhcp6r=/usr/sbin/dhcp6r
 lockfile=/var/lock/subsys/dhcp6r
@@ -39,7 +54,9 @@ stop() {
     killproc $prog -TERM
     RETVAL=$?
     echo
-    [ $RETVAL -eq 0 ] && rm -f $lockfile
+    [ $RETVAL -eq 0 ] && success || failure
+    echo
+    rm -f $lockfile
     return $RETVAL
 }
 
@@ -47,21 +64,22 @@ stop() {
 case "$1" in
     start)
         start
+        RETVAL=$?
         ;;
     stop)
         stop
+        RETVAL=$?
         ;;
-    restart)
-        stop
-        start
+    restart|force-reload)
+        stop && start
+        RETVAL=$?
         ;;
-    reload)
+    try-restart|reload)
         RETVAL=3
         ;;
     condrestart)
         if [ -f $lockfile ]; then
-            stop
-            start
+            stop && start
         fi
         ;;
     status)
@@ -69,7 +87,7 @@ case "$1" in
         RETVAL=$?
         ;;
     *)
-        echo $"Usage: $0 {start|stop|restart|condrestart|status}"
+        echo $"Usage: $0 {start|stop|restart|try-restart|reload|force-reload|status}"
         RETVAL=3
         ;;
 esac
diff -up dhcp-0.10/dhcp6s.sh.lsb dhcp-0.10/dhcp6s.sh
--- dhcp-0.10/dhcp6s.sh.lsb	2007-09-10 12:52:07.000000000 -0400
+++ dhcp-0.10/dhcp6s.sh	2007-09-10 13:23:04.000000000 -0400
@@ -1,16 +1,36 @@
-#!/bin/bash
+#!/bin/sh
 #
-# chkconfig: - 66 36
-# description: dhcp6s supports the server side of Dynamic Host Configuration \
-#              Protocol for IPv6.
+### BEGIN INIT INFO
+# Provides: dhcp6s
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Should-Start: $network
+# Required-Start:
+# Required-Stop:
+# Short-Description: Start and stop the DHCPv6 server agent
+# Description: dhcp6s provides IPv6 addresses and prefix assignment
+#              administrative policy and configuration information for
+#              DHCPv6 clients.  dhcp6s also manages those addresses and
+#              prefixes, such as IPv6 addresses, prefixes, DNS server
+#              addresses, or ntp server addresses.
+### END INIT INFO
+#
+# The fields below are left around for legacy tools (will remove later).
+#
+# chkconfig: - 2345 66 36
+# description: dhcp6s provides IPv6 addresses and prefix assignment \
+#              administrative policy and configuration information for \
+#              DHCPv6 clients.  dhcp6s also manages those addresses and \
+#              prefixes, such as IPv6 addresses, prefixes, DNS server \
+#              addresses, or ntp server addresses.
 # processname: dhcp6s
 # config: /etc/dhcp6s.conf
 # config: /etc/sysconfig/dhcp6s
 
-# Source function library
 . /etc/init.d/functions
 
 RETVAL=0
+
 prog=dhcp6s
 dhcp6s=/usr/sbin/dhcp6s
 lockfile=/var/lock/subsys/dhcp6s
@@ -46,7 +66,9 @@ stop() {
     killproc $prog -TERM
     RETVAL=$?
     echo
-    [ $RETVAL -eq 0 ] && rm -f $lockfile
+    [ $RETVAL -eq 0 ] && success || failure
+    echo
+    rm -f $lockfile
     return $RETVAL
 }
 
@@ -54,21 +76,22 @@ stop() {
 case "$1" in
     start)
         start
+        RETVAL=$?
         ;;
     stop)
         stop
+        RETVAL=$?
         ;;
-    restart)
-        stop
-        start
+    restart|force-reload)
+        stop && start
+        RETVAL=$?
         ;;
-    reload)
+    try-restart|reload)
         RETVAL=3
         ;;
     condrestart)
         if [ -f $lockfile ]; then
-            stop
-            start
+            stop && start
         fi
         ;;
     status)
@@ -76,7 +99,7 @@ case "$1" in
         RETVAL=$?
         ;;
     *)
-        echo $"Usage: $0 {start|stop|restart|condrestart|status}"
+        echo $"Usage: $0 {start|stop|restart|try-restart|reload|force-reload|status}"
         RETVAL=3
         ;;
 esac

dhcpv6-0.10-reassign-global.patch:

--- NEW FILE dhcpv6-0.10-reassign-global.patch ---
diff -up dhcp-0.10/dhcp6c.c.global dhcp-0.10/dhcp6c.c
--- dhcp-0.10/dhcp6c.c.global	2007-09-10 13:57:04.000000000 -0400
+++ dhcp-0.10/dhcp6c.c	2007-09-10 13:58:03.000000000 -0400
@@ -1977,8 +1977,8 @@ static struct dhcp6_timer 
 			 * send confirm for ipv6address or 
 			 * rebind for prefix delegation */
 			dhcp6_remove_timer(client6_iaidaddr.timer);
-			client6_request_flag &= CLIENT6_CONFIRM_ADDR;
-			create_request_list(0);
+			client6_request_flag |= CLIENT6_CONFIRM_ADDR;
+			create_request_list(1);
 			if (client6_iaidaddr.client6_info.type == IAPD)
 				newstate = DHCP6S_REBIND;
 			else

dhcpv6-0.10-remove-leases.patch:

--- NEW FILE dhcpv6-0.10-remove-leases.patch ---
diff -up dhcp-0.10/client6_addr.c.leases dhcp-0.10/client6_addr.c
--- dhcp-0.10/client6_addr.c.leases	2007-09-10 13:44:36.000000000 -0400
+++ dhcp-0.10/client6_addr.c	2007-09-10 13:45:23.000000000 -0400
@@ -386,6 +386,7 @@ dhcp6_update_iaidaddr(struct dhcp6_optin
 		}
 		continue;
 	}
+#if 0
 	/* remove leases that not on the updated list */
 	for (cl = TAILQ_FIRST(&client6_iaidaddr.lease_list); cl; cl = cl_next) { 
 			cl_next = TAILQ_NEXT(cl, link);
@@ -394,7 +395,8 @@ dhcp6_update_iaidaddr(struct dhcp6_optin
 		/* remove leases that not on the updated list */
 		if (lv == NULL)
 			dhcp6_remove_lease(cl);
-	}	
+	}
+#endif
 	/* update server id */
 	if (client6_iaidaddr.state == REBIND) {
 		if (duidcpy(&client6_iaidaddr.client6_info.serverid, &optinfo->serverID)) {

dhcpv6-0.10-retransmit-confirm.patch:

--- NEW FILE dhcpv6-0.10-retransmit-confirm.patch ---
diff -up dhcp-0.10/dhcp6.h.retransmit dhcp-0.10/dhcp6.h
--- dhcp-0.10/dhcp6.h.retransmit	2007-09-10 13:48:28.000000000 -0400
+++ dhcp-0.10/dhcp6.h	2007-09-10 13:49:01.000000000 -0400
@@ -88,7 +88,7 @@
 #define REC_TIMEOUT	2000
 #define REC_MAX_RC	8
 #define CNF_TIMEOUT	1000
-#define CNF_MAX_RD	10000
+#define CNF_MAX_RD	10
 #define CNF_MAX_RT	4000
 
 #define DHCP6_DURATITION_INFINITE 0xffffffff


Index: dhcpv6.spec
===================================================================
RCS file: /cvs/pkgs/rpms/dhcpv6/devel/dhcpv6.spec,v
retrieving revision 1.63
retrieving revision 1.64
diff -u -r1.63 -r1.64
--- dhcpv6.spec	10 Sep 2007 15:47:41 -0000	1.63
+++ dhcpv6.spec	10 Sep 2007 18:03:29 -0000	1.64
@@ -1,7 +1,7 @@
 Summary: DHCPv6 - DHCP server and client for IPv6
 Name:    dhcpv6
 Version: 0.10
-Release: 48%{?dist}
+Release: 49%{?dist}
 License: BSD
 Group:   System Environment/Daemons
 URL:     http://dhcpv6.sourceforge.net/
@@ -18,6 +18,12 @@
 Patch6:  %{name}-0.10-initscripts.patch
 Patch7:  %{name}-0.10-init_leases.patch
 Patch8:  %{name}-0.10-device-names.patch
+Patch9:  %{name}-0.10-lsb.patch
+Patch10: %{name}-0.10-IA_NA-ignore.patch
+Patch11: %{name}-0.10-remove-leases.patch
+Patch12: %{name}-0.10-retransmit-confirm.patch
+Patch13: %{name}-0.10-elapsed-time.patch
+Patch14: %{name}-0.10-reassign-global.patch
 
 Patch99: %{name}-0.10-libdhcp6client.patch
 
@@ -58,7 +64,7 @@
 %package -n libdhcp6client-devel
 Summary:  Header files for development with the DHCPv6 client library
 Group:    Development/Libraries
-Requires: pkgconfig, %{name} = %{version}-%{release}
+Requires: pkgconfig, libdhcp6client = %{version}-%{release}
 
 %description -n libdhcp6client-devel
 Header files for development with the DHCPv6 client library.
@@ -83,6 +89,12 @@
 %patch6 -p1 -b .initscripts
 %patch7 -p1 -b .init_leases
 %patch8 -p1 -b .device-names
+%patch9 -p1 -b .lsb
+%patch10 -p1 -b .ia_na_ignore
+%patch11 -p1 -b .remove_leases
+%patch12 -p1 -b .retransmit
+%patch13 -p1 -b .elapsed
+%patch14 -p1 -b .reassign
 
 %patch99 -p1 -b .libdhcp6client
 
@@ -177,6 +189,14 @@
 %{_libdir}/libdhcp6client.a
 
 %changelog
+* Mon Sep 10 2007 David Cantrell <dcantrell at redhat.com> - 0.10-49
+- Make dhcp6r and dhcp6s init scripts conform to Fedora guidelines (#246909)
+- Let dhcp6c ignore reply msgs that contain IA_NA with T1 > T2 (#254194)
+- In dhcp6c, do not remove leases no on the updated list (#265761)
+- Retransmit confirm message in expected duration in dhcp6c (#251192)
+- Store correct value to elapsed time option in solicit msg (#249451)
+- Reassign IPv6 global address after confirm/reply msg in dhcp6c (#249466)
+
 * Mon Sep 10 2007 David Cantrell <dcantrell at redhat.com> - 0.10-48
 - Recognize 802.1Q VLAN network device names (#245115)
 




More information about the scm-commits mailing list